List business products

Requires the product:list scope. Retrieves a paginated list of products with optional filtering. The data is sorted by id in descending order and cannot be changed. Uses cursor-based pagination with default page size of 25 and maximum of 25.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
≤ 25

Number of items per page (default: 25, max: 25)

string

Opaque cursor for the next page.

string

Opaque cursor for the previous page.

string

Search term to filter products by name (case-insensitive, partial match)

boolean

Filter products by inventory tracking status (true or false)

boolean

Filter products by product sharing status (true or false)

integer

Filter products associated with a specific warehouse ID

string
enum

Type of quantity to filter by. Options are 'available_qty' (only products with variants that have available quantity > 0)

Allowed:
string
length ≥ 1
^(?:[1-9][0-9]*|store_[A-Za-z0-9]+)(?:\s*,\s*(?:[1-9][0-9]*|store_[A-Za-z0-9]+))*$

One or more comma-separated positive numeric store IDs or store_... unique references. Every value is resolved within the authenticated business, then deduplicated before filtering products.

boolean

Show variants in products where is_checked is true or false

boolean

Filter products by ownership. 'true' returns products owned by the business, 'false' returns shared products

string
enum

Filter products by item type (physical, digital, course, license, subscription)

Allowed:
string

Filter products associated with a specific label name

string
enum

Filter products by pricing type (one_time or recurring)

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json